import request from '@/utils/request'

// 查询百度AI外呼任务列表
export function listAiobBaiduTask(query) {
  return request({
    url: '/aiob/AiobBaiduTask/list',
    method: 'get',
    params: query
  })
}

// 查询百度AI外呼任务详细
export function getAiobBaiduTask(id) {
  return request({
    url: '/aiob/AiobBaiduTask/' + id,
    method: 'get'
  })
}

// 新增百度AI外呼任务
export function addAiobBaiduTask(data) {
  return request({
    url: '/aiob/AiobBaiduTask',
    method: 'post',
    data: data
  })
}

// 修改百度AI外呼任务
export function updateAiobBaiduTask(data) {
  return request({
    url: '/aiob/AiobBaiduTask',
    method: 'put',
    data: data
  })
}

// 删除百度AI外呼任务
export function delAiobBaiduTask(id) {
  return request({
    url: '/aiob/AiobBaiduTask/' + id,
    method: 'delete'
  })
}

// 导出百度AI外呼任务
export function exportAiobBaiduTask(query) {
  return request({
    url: '/aiob/AiobBaiduTask/export',
    method: 'get',
    params: query
  })
}
// 导出百度AI外呼任务
export function robotList() {
  return request({
    url: '/aiob/AiobBaiduTask/robotList',
    method: 'get'
  })
}
// 导出百度AI外呼任务
export function startRobotic(taskId) {
  return request({
    url: '/aiob/AiobBaiduTask/startRobotic',
    method: 'get',
    params: {taskId}
  })
}
// 导出百度AI外呼任务
export function stopRobotic(taskId) {
  return request({
    url: '/aiob/AiobBaiduTask/stopRobotic',
    method: 'get',
    params: {taskId}
  })
}
